using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Zadatak2512020br3
{
    class Program
    {
        static void Main(string[] args)
        {
            int broj_koli_duzi = Convert.ToInt32(Console.ReadLine());
            for(int i = 0; i < broj_koli_duzi + 2; i++)
            {
                Console.WriteLine("0" +" "+ i);
            }
            Console.ReadKey();
        }
    }
}